org.apache.hadoop.mapreduce.lib.join

## Class Parser.NodeToken

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.join.Parser.Token
  - - org.apache.hadoop.mapreduce.lib.join.Parser.NodeToken

- Enclosing class:
    Parser

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public static class Parser.NodeToken
      extends Parser.Token

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parser.Node` | `getNode()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.Parser.Token

      `getNum, getStr, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNode

          public Parser.Node getNode()

      Overrides:
        `getNode` in class `Parser.Token`

Copyright © 2022 Apache Software Foundation. All rights reserved.